Subject: Re: [PATCH] gnu: rust: fix building bootstrap chain

From: Ivan Petkov <[email-masked]>
Date: Tue, 18 Jun 2019 22:43:11 -0700

Hi Danny,

> On Jun 17, 2019, at 11:51 PM, Danny Milosavljevic <[email-masked]> wrote:
> 
> So try running "make" in guix.

I always run make before any ./pre-inst-env invocation, and that’s what raises the error.

> Otherwise "grep -r gdb-llvm ." to find left-overs, if any.

No results (besides those in .git). Maybe it’s because there are items in the store which
have references to it and guix is getting confused somewhere? Unfortunately, I don’t
know enough to stipulate further...

> If nothing else helps, rm -rf ~/.cache/guile

Unfortunately this didn’t help either :(

I’m willing to get this merged in as is for now, get rust to build again, and clean up my store
with `guix gc` before trying to delete the patch file again. Maybe things will work then.

Also attaching one more patch update, this time for bumping to llvm@8 for the latest
rust version!

—Ivan